'//////////////////////////////////////////////////////////////////////////////
'//	ADSP-BF561 Visual Basic script to open multiple projects
'// in VDSP++3.5 and update dependency list for first project. 
'//
'// Usage - Place this script in root folder and run.  
'//
'//////////////////////////////////////////////////////////////////////////////

	'// NOTE: Uncomment following to empty the project list first
   While ( Idde.ProjectList.Count > 0 )
       Idde.ProjectList.RemoveProject 0
   WEnd

	'// Save Root Project Directory
	HomeDir = Idde.CurrentDirectory
	
	'// Open Main Project
	Idde.ProjectList.AddProject("BF561_Blink.dpj")
	Set Project1 = Idde.ProjectList.ActiveProject
	Idde.CurrentDirectory = HomeDir

	'// Open remainder of Projects
	Idde.ProjectList.AddProject(".\Core A\Core_A.dpj")	
	Set Project2 = Idde.ProjectList.ActiveProject
	Idde.CurrentDirectory = HomeDir
	 
	Idde.ProjectList.AddProject( ".\Core B\Core_B.dpj" )
	Set Project3 = Idde.ProjectList.ActiveProject
	Idde.CurrentDirectory = HomeDir
	
	Idde.ProjectList.AddProject( ".\Shared Memory L2\SM_L2.dpj" )
	Set Project4 = Idde.ProjectList.ActiveProject
	Idde.CurrentDirectory = HomeDir
	
	Idde.ProjectList.AddProject( ".\Shared Memory L3\SM_L3.dpj" )
	Set Project5 = Idde.ProjectList.ActiveProject
	Idde.CurrentDirectory = HomeDir	
	
	
	'// Add Projects to Main
	Set dependencies = CreateObject( "VisualDSP.ADspStringList" )
    dependencies.Add project2.Name
    dependencies.Add project3.Name
    dependencies.Add project4.Name
    dependencies.Add project5.Name
    project1.DependentProjectList = dependencies

	'// Set Main as Active
	Idde.ProjectList.ActiveProject =  Project1




